Bug 785446 (Horde_Argv) - Review Request: php-horde-Horde-Argv - Horde command-line argument parsing package
Summary: Review Request: php-horde-Horde-Argv - Horde command-line argument parsing pa...
Keywords:
Status: CLOSED ERRATA
Alias: Horde_Argv
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: horde-channel Horde_Translation Horde_Exception
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-29 00:56 UTC by Nick Bebout
Modified: 2013-03-21 15:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 06:59:11 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (18.96 KB, text/plain)
2013-02-06 10:15 UTC, Remi Collet
no flags Details
php-horde-Horde-Argv-review.txt (6.83 KB, text/plain)
2013-02-06 10:17 UTC, Remi Collet
no flags Details

Description Nick Bebout 2012-01-29 00:56:16 UTC
Spec URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Argv.spec
SRPM URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Argv-1.0.5-1.fc16.src.rpm
Description: Classes for parsing command line arguments with various actions, providing help, grouping options, and more.

Comment 1 Nick Bebout 2012-06-14 21:41:39 UTC
I believe this one is ready to review now.

Comment 2 Shawn Iwinski 2012-07-04 23:23:49 UTC
I will review this package

Comment 3 Nick Bebout 2012-07-19 16:45:57 UTC
I believe all of the normal blockers for the php-horde-Horde-* packages are fixed with this package.

Comment 4 Shawn Iwinski 2012-07-20 03:06:29 UTC
[MUST] "Requires: php-common >= 5.2.0" to satisfy package.xml

[SHOULD] %check is present and all tests pass



[OPTIONAL] For readability, you may want to group your Build* and Requires*

[OPTIONAL] phpci: You may want to add the following requires: php-gettext, php-reflection, php-spl

[OPTIONAL] You may want to require (not BR) the optional PHPUnit ("class Horde_Argv_TestCase extends PHPUnit_Framework_TestCase")

[OPTIONAL] You may want to s/pear.horde.org/%{pear_channel}/ and then add "%global pear_channel pear.horde.org"

Comment 5 Shawn Iwinski 2012-07-21 19:10:13 UTC
[OPTIONAL] I'm not sure what the exact Fedora packaging guidelines are for this, but I prefer to be very verbose and would list both the min and max requirements instead of just max (even though you know you don't have < 1.0.0 in Fedora):
Requires: php-pear(pear.horde.org/PACKAGE) >= 1.0.0
Requires: php-pear(pear.horde.org/PACKAGE) < 2.0.0

Comment 6 Jason Tibbitts 2012-07-21 20:59:40 UTC
FYI, the Fedora guideline is not to include such dependencies.  If you know that all supported releases have at least a certain version, you should not include a versioned dependency on that version.  This is all laid out in https://fedoraproject.org/wiki/Packaging:Guidelines#Requires

Comment 7 Shawn Iwinski 2012-07-21 21:18:44 UTC
(In reply to comment #6)
> FYI, the Fedora guideline is not to include such dependencies.  If you know
> that all supported releases have at least a certain version, you should not
> include a versioned dependency on that version.  This is all laid out in
> https://fedoraproject.org/wiki/Packaging:Guidelines#Requires

Understood.  THANKS Jason!

Nick -- Ignore my comment concerning this ;)

Comment 9 Remi Collet 2013-01-30 08:44:17 UTC
Please run the tests during build

%check
src=$(pwd)/%{pear_name}-%{version}
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit \
    -d include_path=$src/lib:.:%{pear_phpdir} \
    -d date.timezone=UTC \
    .

Could also replace the %find_lang with a loop.

Comment 11 Remi Collet 2013-02-06 10:15:23 UTC
Created attachment 693850 [details]
phpci.log

Comment 12 Remi Collet 2013-02-06 10:17:13 UTC
Created attachment 693852 [details]
php-horde-Horde-Argv-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 785446

Comment 13 Remi Collet 2013-02-06 10:18:07 UTC
[!]: License field in the package spec file matches the actual license.
	Most files are BSD
	Horde/Argv/Translation.php is LGPL v2.1
	=> BSD and LGPLv2

Just need to fix the License, else everything is ok.

Can you please replace my "private" email by my fp.o one ?

Comment 15 Remi Collet 2013-02-07 14:49:35 UTC
< License:        BSD
---
> License:        BSD and LGPLv2

Please consider adding a comment about which file use each license.

No blocker

=== APPROVED ===

Comment 16 Nick Bebout 2013-02-07 21:39:25 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Argv
Short Description: Horde command-line argument parsing package
Owners: nb remi
Branches: el6 f18
InitialCC:

Comment 17 Gwyn Ciesla 2013-02-08 13:38:35 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2013-02-16 00:17:35 UTC
php-horde-Horde-Image-2.0.3-3.el6, php-horde-Horde-Alarm-2.0.3-3.el6, php-horde-Horde-Lock-2.0.1-3.el6, php-horde-Horde-Argv-2.0.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Argv-2.0.4-4.el6,php-horde-Horde-Lock-2.0.1-3.el6,php-horde-Horde-Image-2.0.3-3.el6,php-horde-Horde-Alarm-2.0.3-3.el6

Comment 19 Fedora Update System 2013-02-16 02:25:24 UTC
php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Argv-2.0.4-4.fc18,php-horde-Horde-Serialize-2.0.1-3.fc18,php-horde-Horde-Text-Flowed-2.0.1-3.fc18,php-horde-Horde-Lock-2.0.1-3.fc18,php-horde-Horde-Image-2.0.3-3.fc18,php-horde-Horde-Alarm-2.0.3-3.fc18

Comment 20 Fedora Update System 2013-02-17 03:32:24 UTC
Package php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-horde-Horde-Alarm-2.0.3-3.fc18 php-horde-Horde-Image-2.0.3-3.fc18 php-horde-Horde-Lock-2.0.1-3.fc18 php-horde-Horde-Text-Flowed-2.0.1-3.fc18 php-horde-Horde-Argv-2.0.4-4.fc18 php-horde-Horde-Serialize-2.0.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2619/php-horde-Horde-Argv-2.0.4-4.fc18,php-horde-Horde-Serialize-2.0.1-3.fc18,php-horde-Horde-Text-Flowed-2.0.1-3.fc18,php-horde-Horde-Lock-2.0.1-3.fc18,php-horde-Horde-Image-2.0.3-3.fc18,php-horde-Horde-Alarm-2.0.3-3.fc18
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2013-02-28 06:59:12 UTC
php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2013-03-09 19:16:40 UTC
php-horde-Horde-Image-2.0.3-3.el6, php-horde-Horde-Alarm-2.0.3-3.el6, php-horde-Horde-Lock-2.0.1-3.el6, php-horde-Horde-Argv-2.0.4-4.el6, php-horde-Horde-Serialize-2.0.1-3.el6, php-horde-Horde-Text-Flowed-2.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.